Uploaded image for project: 'Legal Discuss'
  1. Legal Discuss
  2. LEGAL-361

Can Apache NetBeans (incubating) use adjusted org.eclipse.osgi_3.9.1.v20140110-1610.jar

    Details

    • Type: Question
    • Status: Closed
    • Priority: Major
    • Resolution: Resolved
    • Labels:
      None

      Description

      It has been requested here:

      http://mail-archives.apache.org/mod_mbox/incubator-general/201801.mbox/%3CC4C5D5C4-AB44-4AFE-ADE2-9E91F593A9B3%40classsoftware.com%3E

      and here:

      http://mail-archives.apache.org/mod_mbox/incubator-general/201801.mbox/%3C157E0E80-9984-4AB5-8AE5-E76C4668D53E%40classsoftware.com%3E

       

      That we should check if NetBeans can use "org.eclipse.osgi_3.9.1.v20140110-1610.jar":

      http://hg.netbeans.org/binaries/E5DDC5E827D3D62E7BE9F7E32927CA01F2839971-org.eclipse.osgi_3.9.1.v20140110-1610.jar

       

      My understanding is that the concern here is the license of the file. To quote the relevant note from the e-mail:

      platform/modules/ext/org.eclipse.osgi_3.9.1.v20140110-1610.jar 
      - I’m not sure if the OSGi license is compatible with the Apache one. It’s not listed
      in Category A/B/X you may need to ask on legal discuss. It may be under EPL but not 100% sure.
      

       

      The license appears to be in an "about.html" file inside the jar. (I can attach it if desired.)

       

      Thanks.

       

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              jlahoda Jan Lahoda
            • Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: